Last Comment Bug 640041 - Add-on detail page should show details of the compatible version
: Add-on detail page should show details of the compatible version
Status: VERIFIED FIXED
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Public Pages (show other bugs)
: 4.x
: All All
: P3 normal
: 6.1.4
Assigned To: Andy McKay [:andym]
:
:
Mentors:
https://addons.allizom.org/en-US/fire...
: 640617 (view as bug list)
Depends on:
Blocks: 611534
  Show dependency treegraph
 
Reported: 2011-03-08 16:56 PST by krupa raj[:krupa]
Modified: 2016-02-04 14:51 PST (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot (473.09 KB, image/png)
2011-03-08 16:56 PST, krupa raj[:krupa]
no flags Details
post-fix screenshot (482.84 KB, image/png)
2011-07-06 13:50 PDT, krupa raj[:krupa]
no flags Details

Description krupa raj[:krupa] 2011-03-08 16:56:43 PST
Created attachment 517928 [details]
screenshot

Description:

Fore more info, see bug 611534.

For FF 3.6.*, the add-on detail page correctly serves a compatible version but all the add-on's details are incorrect.

STR:
1. Using FF 3.6.*, load https://addons.allizom.org/en-US/firefox/addon/bug-611534/
2. Notice that add-on version is '3.0' and compatibility range is 'Firefox 4.0b12- 4.0.*'

expected behavior:
For 3.6 users, we show details corresponding to the compatible version(in this case, 2.0)

Actual behavior:
We serve 2.0 for FF 3.6.* users but show details for 3.0
Comment 1 krupa raj[:krupa] 2011-03-10 09:33:00 PST
*** Bug 640617 has been marked as a duplicate of this bug. ***
Comment 2 Andy McKay [:andym] 2011-06-17 15:05:28 PDT
This is because we are showing the install button for the backup version. So the version shown and the backup don't match.

I would recommend we show a message below the button, something like: "This will install an older version of the addon because of the version of Firefox that you are using." (please improve). So that they know it's a different version.

The other option is to switch everything around to match the backup version and that seems icky.
Comment 3 Wil Clouser [:clouserw] 2011-06-18 09:50:54 PDT
our install experience is so complex :(

CCing chowse for opinion.  comment 2 wfm
Comment 4 Justin Scott [:fligtar] 2011-06-22 16:10:08 PDT
If it's too hard to update with the correct details, I'd prefer to just hide the incorrect bits instead of displaying a message.
Comment 5 Andy McKay [:andym] 2011-06-30 10:31:45 PDT
http://github.com/jbalogh/zamboni/commit/550efc

I'm changing the version number to the right of the title, the works with and the updated date when we show the backup button.
Comment 6 Justin Scott [:fligtar] 2011-06-30 12:14:05 PDT
Awesome! Thanks for doing the best solution when the alternatives would have been much easier :)
Comment 7 krupa raj[:krupa] 2011-07-06 13:49:24 PDT
verified fixed at https://addons.allizom.org/en-US/firefox/addon/bug-640041/
Comment 8 krupa raj[:krupa] 2011-07-06 13:50:20 PDT
Created attachment 544331 [details]
post-fix screenshot

Note You need to log in before you can comment on or make changes to this bug.